# Extras

## WebRTC

Read GCC


## PageRank
Whenever we need to search for a result on Google, this one 
of the most famous algorithm used.

First we take some pages and all the links available 
on that page linking to the other gathered pages:
```bash
p1, p2, p3, p4, ..., pn

# Links found on the page
p1: 
- a1 -> p2
- a3 -> p4
...
- al -> p8

p2:
...
```

Then we make an oriented graph where all the `points` are pages
and links are `arrows` pointing to the ***landing page***

### Variables
- $B_p$ : Set of pages that backlinks to $p$
- $|a|$ : Cardinality of $a$ | Number of outgoing links from 
  $a$

### Formula
$$
rank_k(p) = \sum_{a \in B_p}\frac{
 rank_{k-1}(a)
}{
|a|
} \in [0, \dots, 1]
$$

Here the state is composed of all ranks for our gathered pages.
If $| rank_k(p) - rank_{k-1}(p)| < \epsilon$ we will stop 
iterating.

At time $k = 0$ all pages have the same importance that is 
$rank_0(p) = \frac{1}{n}$

## Economic System
